Bug 874618 - sss_cache: fqdn not accepted
Summary: sss_cache: fqdn not accepted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 895654
TreeView+ depends on / blocked
 
Reported: 2012-11-08 14:32 UTC by Dmitri Pal
Modified: 2013-06-05 17:18 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-61.el6
Doc Type: Bug Fix
Doc Text:
Cause: sss_cache utility did not accept fully qualified domain name. Consequence: Administrator was unable to force expiration of a user record in sssd cache with fully qualified domain name. Fix: sss_cache utility accepts fully qualified domain name. Result: Administrator is able to force expiration of a user record in sssd cache with fully qualified domain name.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:39:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-11-08 14:32:08 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1620

sss_cache does not accept fully qualified names.

How to reproduce (for example):
1. run sssd
2. getent passwd user@example.com
3. sss_cache -u user@example.com

Result:
No matching object found in the cache.

Expected result:
user from domain example.com should be removed from cache.

Comment 1 Jakub Hrozek 2013-01-03 13:10:25 UTC
There is a patch on the list.

Comment 3 Amith 2013-01-24 16:36:48 UTC
Verified and automated the BZ in SSSD Version: sssd-1.9.2-82.el6.x86_64

As expected, sss_cache works fine with fqdn of users without errors. The user also gets invalidated from Cache.

Comment 4 errata-xmlrpc 2013-02-21 09:39:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.